Subject: Re: linux-next: manual merge of the pci tree with the arm-soc tree

From: Thierry Reding <[email-masked]>
Date: Tue, 13 Dec 2022 17:48:53 +0100

On Tue, Dec 13, 2022 at 10:21:03AM -0600, Bjorn Helgaas wrote:
> On Mon, Dec 05, 2022 at 09:57:38AM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the pci tree got a conflict in:
> > 
> >   Documentation/devicetree/bindings/pci/snps,dw-pcie.yaml
> > 
> > between commit:
> > 
> >   5c3741492d2e ("dt-bindings: PCI: tegra234: Add ECAM support")
> > 
> > from the arm-soc tree and commit:
> > 
> >   4cc13eedb892 ("dt-bindings: PCI: dwc: Add reg/reg-names common properties")
> > 
> > from the pci tree.
> > 
> > I didn't know how to fix this up, so I just used the latter (and so lost
> > the addition of "ecam").
> 
> Did I miss a suggested resolution for this?

We had a brief discussion about this in another thread. So basically
Stephen's resolution is fine here and the plan is to instead add the
ECAM bits that the Tegra patch does in a separate patch on top of
Serge's patch. I should get around to sending that patch tomorrow.

Thierry